Name:          libopenal
Version:       1.17.0
Release:       1mamba
Summary:       Open Audio Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.openal.org/
Source0:       http://kcat.strangesoft.net/openal-releases/openal-soft-%{version}.tar.bz2
#Source0:       http://www.openal.org/openal_webstf/downloads/openal-%{version}.tar.gz
Source1:       openalrc
Patch0:        openal-conf.patch
Patch1:        openal-etc_openalrc.patch
Patch2:        openal-incl.patch
Patch3:        %{name}-0.0.8-gcc42.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: libalsa-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libesound-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: libSDL2-devel
BuildRequires: texinfo
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Obsoletes:     libopenal-test

%description
OpenAL is an audio library designed in the spirit of OpenGL - machine independent, cross platform, and data format neutral, with a clean, simple C-based API.

%package devel
Summary:       Static libraries and header files for openal library
Requires:      %{name} = %{version}-%{release}
Group:         Development/Libraries

%description devel
This package contains static libraries and header files for the openal library.

OpenAL is an audio library designed in the spirit of OpenGL - machine independent, cross platform, and data format neutral, with a clean, simple C-based API.

%prep
%setup -q -n openal-soft-%{version}
#%patch0 -p1
#%patch1
#%patch2 -p1
#%patch3 -p1

%build
%cmake
#   --enable-arts \
#   --enable-alsa \
#   --enable-esd \
#   --enable-vorbis \
#   --enable-sdl \
#   --enable-mp3 \
#   --enable-capture

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#
# configuration
install -m0755 -d %{buildroot}/etc
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/openalrc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%config %{_sysconfdir}/openalrc
%{_bindir}/allatency
%{_bindir}/alffplay
%{_bindir}/alloopback
%{_bindir}/alreverb
%{_bindir}/alstream
%{_bindir}/altonegen
%{_bindir}/bsincgen
%{_bindir}/makehrtf
%{_libdir}/libopenal.so.*
%dir %{_datadir}/openal
%{_datadir}/openal/alsoftrc.sample
%dir %{_datadir}/openal/hrtf
%{_datadir}/openal/hrtf/*.mhr
%doc COPYING

%files devel
%defattr(-,root,root,-)
%{_bindir}/alsoft-config
%{_bindir}/openal-info
%{_includedir}/AL
#%{_libdir}/libopenal.a
#%{_libdir}/libopenal.la
%{_libdir}/libopenal.so
%{_libdir}/pkgconfig/openal.pc

%changelog
* Tue Nov 24 2015 Automatic Build System <autodist@mambasoft.it> 1.17.0-1mamba
- automatic version update by autodist

* Fri Sep 05 2014 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Wed Dec 12 2012 Automatic Build System <autodist@mambasoft.it> 1.15.1-1mamba
- automatic version update by autodist

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- update to 1.15

* Fri Jan 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.854-1mamba
- update to 1.12.854
- removed build requirement for arts

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 1.11.753-1mamba
- update to 1.11.753

* Sat Jul 11 2009 Automatic Build System <autodist@mambasoft.it> 1.8.466-1mamba
- automatic update by autodist

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.411-1mamba
- update to 1.7.411

* Sat May 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.8-2mamba
- added patch for gcc 4.2

* Tue Jan 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.8-1qilnx
- update to version 0.0.8 by autospec

* Tue Apr 05 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.0-3qilnx
- Added changelog

* Tue Apr 05 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.0-2qilnx
- Rebuild and moved from devel-contrib repository to devel repository 

* Wed Mar 16 2005 Matteo Bernasconi <voyagernm@virgilio.it> 0.0-1qilnx
- First Build
